; IDL Version 5.3 (linux x86)
; Journal File for hudson@isass1.solar.isas.ac.jp
; Working directory: /home/hudson
; Date: Wed Jun 20 15:45:18 2001
 
t1 = tim2dset(ecl,'21-jun 12:44')
t2 = tim2dset(ecl,'21-jun 12:50')
rr = sqrt(ecl.xx^2 + ecl.yy^2)
results = poly_fit(int2secarr(ecl(t1:t2)),rr(t1:t2),2,yfit)
ttt = findgen(360)
rrr = results(0)+results(1)*ttt+results(2)*ttt^2
rrr_prime = rrr(1:*)-rrr(0:358)
wdef,0,640,512
utplot,ecl(t1:t2),rr(t1:t2),psym=1,/ynoz,charsi=1.5,yr=[1880,1960],xtit='UT June 21, 2001',ytit='Arc sec' 
outplot,ecl(t1:t2),ecl(t1:t2).r_moon+ecl(t1:t2).r_sun,lines=1
outplot,ecl(t1:t2),ecl(t1:t2).r_moon+ecl(t1:t2).r_sun+5,lines=1
outplot,ttt,results(0)+results(1)*ttt+results(2)*ttt^2,lines=2
;wdef,1
;utplot,indgen(358),abs(rrr_prime),ecl(t1)
end
